Bug 148923 - Pegasus USB driver S-L-O-W
Pegasus USB driver S-L-O-W
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-16 17:56 EST by mpapet
Modified: 2015-01-04 17:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 21:07:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mpapet 2005-02-16 17:56:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
Connecting a usb ethernet device successfully loads the pegasus
driver.    Dhclient successfully sets the interface up but bandwidth
in and out is terrible.  No amount of resetting seems to help.

Email me if you need more info.


Version-Release number of selected component (if applicable):
default kernel from install ISO

How reproducible:
Always

Steps to Reproduce:
1. Boot computer, login, (with or without the USB device connected
during boot doesn't change the behavior)
2. Connect usb ethernet device.  
3. Attempt to use the Internet/yum/etc. 


    

Actual Results:  Attempt to do anything involving the network (dsl)
connection is pitifully slow to non-existant.  Something as simple as
"yum update" is just waiting for data.

Expected Results:  Fast connection to Internet.  (factoring in congestion)

Additional info:
Comment 1 Sitsofe Wheeler 2005-02-16 18:07:26 EST
Which kernel are you running ("rpm -q kernel" shows which are installed and
uname "uname -a" prints the currently running one)? If it's less than the latest
release (kernel-2.6.10-1.766_FC3) you will probably be asked to upgrade and retest.
Comment 2 mpapet 2005-02-18 18:09:08 EST
It is the very latest kernel.  I ran yum update before I reported the bug.
Comment 3 Matthew Truch 2005-03-28 16:09:47 EST
I had a similar problem with my pegasus USB-Ethernet adaptor.  It was a case
where most packets were being dropped (when it's slow, try pinging something on
your local network).  I found that the problem would go away if I plugged the
adaptor into a newer auto-sensing type hub/switch instead of an older one.  Even
just doing this once (turn on computer, let it boot, plug ethernet into 'new'
hub, unplug ethernet, plug it into original connection where it would be slow)
would fix it for the duration of the powerup.  If this is the case, it might
have something to do with bug 130382.  
Comment 4 Dave Jones 2005-07-15 16:32:02 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 5 Dave Jones 2005-10-02 21:07:57 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.